## qt3d-opensource-src 5.0~git20130109

=== auto/cmake/test_modules/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_modules)

find_package(Qt5Quick REQUIRED)

find_package(Qt53D REQUIRED)
find_package(Qt53DQuick REQUIRED)

include_directories(
  ${Qt53D_INCLUDE_DIRS}
  ${Qt53DQuick_INCLUDE_DIRS}
)

add_definitions(
  ${Qt53D_DEFINITIONS}
  ${Qt53DQuick_DEFINITIONS}
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

add_executable(mainapp main.cpp)
target_link_libraries(mainapp
  ${Qt53D_LIBRARIES}
  ${Qt53DQuick_LIBRARIES}
)

=== debian/changelog ===
qt3d-opensource-src (5.0~git20130109-0ubuntu2) raring; urgency=low

  [ Timo Jyrinki ]
  * Fix pkgconfig Libs.private path (LP: #1125156)
  * debian/patches/workaround_zlib_linking_issue.patch:
    - Fix FTBFS

  [ Didier Roche ]
  * Fixed some small copyright issues

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 15 Feb 2013 12:52:28 +0100

qt3d-opensource-src (5.0~git20130109-0ubuntu1) raring; urgency=low

  * Initial release
  * Cherry-pick from upstream:
    - add_license_files.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 22 Jan 2013 14:32:08 +0200

=== debian/control ===
Source: qt3d-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.0.0),
               qtbase5-private-dev,
               qtdeclarative5-private-dev,
               qt5-default,
               libqt5opengl5-dev,
               pkg-kde-tools,
               zlib1g-dev,
Standards-Version: 3.9.3
Homepage: http://qt-project.org/

Package: libqt53d5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 3D module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D module.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git 
 snapshot of an ongoing development. The package is very likely to 
 change in a binary incompatible way, and no guarantees are given.

Package: qtdeclarative5-qt3d-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 3D QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 3D QML plugin.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git 
 snapshot of an ongoing development. The package is very likely to 
 change in a binary incompatible way, and no guarantees are given.

Package: qt3d5-dev
Section: libdevel
Architecture: any
Depends: libqt53d5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, qtbase5-dev
Description: Qt 5 3d development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt 3D library.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git 
 snapshot of an ongoing development. The package is very likely to 
 change in a binary incompatible way, and no guarantees are given.

Package: qt3d5-private-dev
Architecture: any
Section: libdevel
Depends: qt3d5-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 3d private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications using 3D private headers.
 .
 Use at your own risk.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git 
 snapshot of an ongoing development. The package is very likely to 
 change in a binary incompatible way, and no guarantees are given.

Package: qt3d5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 3d examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 3D examples.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git 
 snapshot of an ongoing development. The package is very likely to 
 change in a binary incompatible way, and no guarantees are given.

Package: qt3d5-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqt53d5 (= ${binary:Version}),
         qt3d5-examples (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 3D library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 3D
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --list-missing --parallel --with pkgkde_symbolshelper --dbg-package=qt3d5-dbg

override_dh_auto_configure:
	qmake

override_dh_auto_install:
	dh_auto_install
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
    -exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

override_dh_builddeb:
	dh_builddeb -- -Zxz

## qt3d-opensource-src 5.0~git20130731

=== auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

test_module_includes(
  3D QGLTexture2D
  3DQuick QQuickItem3D
)

=== debian/changelog ===
qt3d-opensource-src (5.0~git20130731-0ubuntu5) trusty; urgency=medium

  * libqt53d5.symbols: updating symbols and adding adding dep alternative
    for the version compatible with OpenGLES (provided by another src pkg)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 10 Apr 2014 05:06:25 -0300

qt3d-opensource-src (5.0~git20130731-0ubuntu4) trusty; urgency=medium

  * Run tests only on archs known to pass in the past

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 14 Mar 2014 11:51:29 +0000

qt3d-opensource-src (5.0~git20130731-0ubuntu3) trusty; urgency=medium

  * Backport upstream patch to fix build on “uncommon” architectures.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 14 Mar 2014 09:15:26 +0400

qt3d-opensource-src (5.0~git20130731-0ubuntu2) trusty; urgency=medium

  [ Timo Jyrinki ]
  * Rebuild against Qt 5.2.1, bump dependencies
  * Use QT_SELECT instead of depending on qt5-default
  * Use 'mkdir .git' to trigger header build for the snapshot release

  [ Allan LeSage ]
  * Add tests to QT_BUILD_PARTS. (LP: #1193370)
  * Depend on xvfb for existing tests requiring a display.
  * Add dh_override_auto_test to dh_auto_test under xvfb-run.
  * debian/patches/skip_failing_tests.patch
    - Skip some failing tests pending investigation.
  * Depend on xauth, needed in some configurations.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 28 Feb 2014 09:00:49 +0000

qt3d-opensource-src (5.0~git20130731-0ubuntu1) saucy; urgency=low

  * New upstream snapshot release
  * Improve override_dh_auto_install, use --fail-missing
  * Drop patches:
    - add_GPL_license_file.patch, merged upstream
    - add_module_version.patch, added upstream
    - disable_conflicting_examples.patch, not needed anymore
  * Refresh link_against_system_zlib.patch
  * Add bug link to workaround_zlib_linking_issue.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 02 Aug 2013 11:10:16 +0300

qt3d-opensource-src (5.0~git20130109-0ubuntu3) saucy; urgency=low

  * debian/patches/add_module_version.patch:
    - Add a module version to fix FTBFS

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 21 Jun 2013 17:59:14 +0200

=== debian/control ===
Source: qt3d-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.0.0),
               libqt5opengl5-dev,
               pkg-kde-tools,
               qtbase5-private-dev (>= 5.2.1+dfsg~),
               qtdeclarative5-private-dev (>= 5.2.1~),
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 3.9.3
Homepage: http://qt-project.org/

Package: libqt53d5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 3D module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D module.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtdeclarative5-qt3d-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~),
             ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 3D QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 3D QML plugin.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qt3d5-dev
Section: libdevel
Architecture: any
Depends: libqt53d5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 3d development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt 3D library.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qt3d5-private-dev
Architecture: any
Section: libdevel
Depends: qt3d5-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 3d private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications using 3D private headers.
 .
 Use at your own risk.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qt3d5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: dpkg (>= 1.15.6~),
             ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 3d examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 3D examples.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qt3d5-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqt53d5 (= ${binary:Version}),
         qt3d5-examples (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 3D library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 3D
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# Run tests only on archs known to pass in the past
testrun_architectures := amd64 arm64 armhf i386 ppc64el

%:
	dh $@ --fail-missing --parallel --with pkgkde_symbolshelper --dbg-package=qt3d5-dbg

override_dh_auto_configure:
	mkdir .git
	qmake QT_BUILD_PARTS+=tests

override_dh_auto_install:
	dh_auto_install
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testrun_architectures)))
	xvfb-run -a dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
endif

override_dh_builddeb:
	dh_builddeb -- -Zxz

## qt3d-opensource-src 5.5.1

=== src/3rdparty/assimp/code/CMakeLists.txt ===
# Listing and grouping of all the source files.
# 1) Set the file lists for each component
# 2) Create a Source Group for each component, for IDE project orginization
# 3) Add libassimp using the file lists (eliminates duplication of file names between
#    source groups and library command)
#
cmake_minimum_required( VERSION 2.6 )
SET( HEADER_PATH ../include/assimp )

SET( COMPILER_HEADERS
	${HEADER_PATH}/Compiler/pushpack1.h
	${HEADER_PATH}/Compiler/poppack1.h
	${HEADER_PATH}/Compiler/pstdint.h
)
SOURCE_GROUP( Compiler FILES ${COMPILER_HEADERS})

SET( PUBLIC_HEADERS
	${HEADER_PATH}/anim.h
	${HEADER_PATH}/ai_assert.h
	${HEADER_PATH}/camera.h
	${HEADER_PATH}/color4.h
	${HEADER_PATH}/color4.inl
	${HEADER_PATH}/config.h
	${HEADER_PATH}/defs.h
	${HEADER_PATH}/cfileio.h
	${HEADER_PATH}/light.h
	${HEADER_PATH}/material.h
	${HEADER_PATH}/material.inl
	${HEADER_PATH}/matrix3x3.h
	${HEADER_PATH}/matrix3x3.inl
	${HEADER_PATH}/matrix4x4.h
	${HEADER_PATH}/matrix4x4.inl
	${HEADER_PATH}/mesh.h
	${HEADER_PATH}/postprocess.h
	${HEADER_PATH}/quaternion.h
	${HEADER_PATH}/quaternion.inl
	${HEADER_PATH}/scene.h
	${HEADER_PATH}/metadata.h
	${HEADER_PATH}/texture.h
	${HEADER_PATH}/types.h
	${HEADER_PATH}/vector2.h
	${HEADER_PATH}/vector2.inl
	${HEADER_PATH}/vector3.h
	${HEADER_PATH}/vector3.inl
	${HEADER_PATH}/version.h
	${HEADER_PATH}/cimport.h
	${HEADER_PATH}/importerdesc.h
	${HEADER_PATH}/Importer.hpp
	${HEADER_PATH}/DefaultLogger.hpp
	${HEADER_PATH}/ProgressHandler.hpp
	${HEADER_PATH}/IOStream.hpp
	${HEADER_PATH}/IOSystem.hpp
	${HEADER_PATH}/Logger.hpp
	${HEADER_PATH}/LogStream.hpp
	${HEADER_PATH}/NullLogger.hpp
	${HEADER_PATH}/cexport.h
	${HEADER_PATH}/Exporter.hpp
)

SET( Core_SRCS
	Assimp.cpp
)

SET( Boost_SRCS
	BoostWorkaround/boost/math/common_factor_rt.hpp
	BoostWorkaround/boost/foreach.hpp
	BoostWorkaround/boost/format.hpp
	BoostWorkaround/boost/scoped_array.hpp
	BoostWorkaround/boost/scoped_ptr.hpp
	BoostWorkaround/boost/shared_array.hpp
	BoostWorkaround/boost/shared_ptr.hpp
	BoostWorkaround/boost/make_shared.hpp
	BoostWorkaround/boost/static_assert.hpp
	BoostWorkaround/boost/tuple/tuple.hpp
)
SOURCE_GROUP(Boost FILES ${Boost_SRCS})

SET( Logging_SRCS
	${HEADER_PATH}/DefaultLogger.hpp
	${HEADER_PATH}/LogStream.hpp
	${HEADER_PATH}/Logger.hpp
	${HEADER_PATH}/NullLogger.hpp
	Win32DebugLogStream.h
	DefaultLogger.cpp
	FileLogStream.h
	StdOStreamLogStream.h
)
SOURCE_GROUP(Logging FILES ${Logging_SRCS})

SET( Common_SRCS
	fast_atof.h
	qnan.h
	BaseImporter.cpp
	BaseImporter.h
	BaseProcess.cpp
	BaseProcess.h
	Importer.h
	ScenePrivate.h
	PostStepRegistry.cpp
	ImporterRegistry.cpp
	ByteSwap.h
	DefaultProgressHandler.h
	DefaultIOStream.cpp
	DefaultIOStream.h
	DefaultIOSystem.cpp
	DefaultIOSystem.h
	CInterfaceIOWrapper.h
	Hash.h
	Importer.cpp
	IFF.h
	MemoryIOWrapper.h
	ParsingUtils.h
	StreamReader.h
	StringComparison.h
	SGSpatialSort.cpp
	SGSpatialSort.h
	VertexTriangleAdjacency.cpp
	VertexTriangleAdjacency.h
	GenericProperty.h
	SpatialSort.cpp
	SpatialSort.h
	SceneCombiner.cpp
	SceneCombiner.h
	ScenePreprocessor.cpp
	ScenePreprocessor.h
	SkeletonMeshBuilder.cpp
	SkeletonMeshBuilder.h
	SplitByBoneCountProcess.cpp
	SplitByBoneCountProcess.h
	SmoothingGroups.h
	StandardShapes.cpp
	StandardShapes.h
	TargetAnimation.cpp
	TargetAnimation.h
	RemoveComments.cpp
	RemoveComments.h
	Subdivision.cpp
	Subdivision.h
	Vertex.h
	LineSplitter.h
	TinyFormatter.h
	Profiler.h
	LogAux.h
	Bitmap.cpp
	Bitmap.h
)
SOURCE_GROUP(Common FILES ${Common_SRCS})

SET( 3DS_SRCS
	3DSConverter.cpp
	3DSHelper.h
	3DSLoader.cpp
	3DSLoader.h
)
SOURCE_GROUP(3DS FILES ${3DS_SRCS})

SET( AC_SRCS
	ACLoader.cpp
	ACLoader.h
)
SOURCE_GROUP( AC FILES ${AC_SRCS})

SET( ASE_SRCS
	ASELoader.cpp
	ASELoader.h
	ASEParser.cpp
	ASEParser.h
)
SOURCE_GROUP( ASE FILES ${ASE_SRCS})

SET( B3D_SRCS
	B3DImporter.cpp
	B3DImporter.h
)
SOURCE_GROUP( B3D FILES ${B3D_SRCS})

SET( BVH_SRCS
	BVHLoader.cpp
	BVHLoader.h
)
SOURCE_GROUP( BVH FILES ${BVH_SRCS})

SET( Collada_SRCS
	ColladaHelper.h
	ColladaLoader.cpp
	ColladaLoader.h
	ColladaParser.cpp
	ColladaParser.h
	ColladaExporter.h
	ColladaExporter.cpp
)
SOURCE_GROUP( Collada FILES ${Collada_SRCS})

SET( DXF_SRCS
	DXFLoader.cpp
	DXFLoader.h
	DXFHelper.h
)
SOURCE_GROUP( DXF FILES ${DXF_SRCS})

SET( CSM_SRCS
	CSMLoader.cpp
	CSMLoader.h
)
SOURCE_GROUP( CSM FILES ${CSM_SRCS})

SET( HMP_SRCS
	HMPFileData.h
	HMPLoader.cpp
	HMPLoader.h
	HalfLifeFileData.h
)
SOURCE_GROUP( HMP FILES ${HMP_SRCS})

SET( Irr_SRCS
	IRRLoader.cpp
	IRRLoader.h
	IRRMeshLoader.cpp
	IRRMeshLoader.h
	IRRShared.cpp
	IRRShared.h
)
SOURCE_GROUP( Irr FILES ${Irr_SRCS})

SET( LWO_SRCS
	LWOAnimation.cpp
	LWOAnimation.h
	LWOBLoader.cpp
	LWOFileData.h
	LWOLoader.cpp
	LWOLoader.h
	LWOMaterial.cpp
)
SOURCE_GROUP( LWO FILES ${LWO_SRCS})

SET( LWS_SRCS
	LWSLoader.cpp
	LWSLoader.h
)
SOURCE_GROUP( LWS FILES ${LWS_SRCS})



SET( MD2_SRCS
	MD2FileData.h
	MD2Loader.cpp
	MD2Loader.h
	MD2NormalTable.h
)
SOURCE_GROUP( MD2 FILES ${MD2_SRCS})

SET( MD3_SRCS
	MD3FileData.h
	MD3Loader.cpp
	MD3Loader.h
)
SOURCE_GROUP( MD3 FILES ${MD3_SRCS})

SET( MD5_SRCS
	MD5Loader.cpp
	MD5Loader.h
	MD5Parser.cpp
	MD5Parser.h
)
SOURCE_GROUP( MD5 FILES ${MD5_SRCS})

SET( MDC_SRCS
	MDCFileData.h
	MDCLoader.cpp
	MDCLoader.h
	MDCNormalTable.h
)
SOURCE_GROUP( MDC FILES ${MDC_SRCS})

SET( MDL_SRCS
	MDLDefaultColorMap.h
	MDLFileData.h
	MDLLoader.cpp
	MDLLoader.h
	MDLMaterialLoader.cpp
)
SOURCE_GROUP( MDL FILES ${MDL_SRCS})

SET( MaterialSystem_SRCS
	MaterialSystem.cpp
	MaterialSystem.h
)
SOURCE_GROUP( MaterialSystem FILES ${MaterialSystem_SRCS})

SET( NFF_SRCS
	NFFLoader.cpp
	NFFLoader.h
)
SOURCE_GROUP( NFF FILES ${NFF_SRCS})

SET( NDO_SRCS
	NDOLoader.cpp
	NDOLoader.h
)
SOURCE_GROUP( NDO FILES ${NDO_SRCS})

SET( OFFFormat_SRCS
	OFFLoader.cpp
	OFFLoader.h
)
SOURCE_GROUP( OFFFormat FILES ${OFFFormat_SRCS})

SET( Obj_SRCS
	ObjFileData.h
	ObjFileImporter.cpp
	ObjFileImporter.h
	ObjFileMtlImporter.cpp
	ObjFileMtlImporter.h
	ObjFileParser.cpp
	ObjFileParser.h
	ObjTools.h
	
	ObjExporter.h
	ObjExporter.cpp
)
SOURCE_GROUP( Obj FILES ${Obj_SRCS})

SET( Ogre_SRCS
	OgreImporter.h
	OgreStructs.h
	OgreParsingUtils.h
	OgreBinarySerializer.h
	OgreXmlSerializer.h
	OgreImporter.cpp
	OgreStructs.cpp
	OgreBinarySerializer.cpp
	OgreXmlSerializer.cpp
	OgreMaterial.cpp
)
SOURCE_GROUP( Ogre FILES ${Ogre_SRCS})

SET( Ply_SRCS
	PlyLoader.cpp
	PlyLoader.h
	PlyParser.cpp
	PlyParser.h
	PlyExporter.cpp
	PlyExporter.h
)
SOURCE_GROUP( Ply FILES ${Ply_SRCS})

SET(MS3D_SRCS
	MS3DLoader.cpp
	MS3DLoader.h
)
SOURCE_GROUP( MS3D FILES ${MS3D_SRCS})

SET(COB_SRCS
	COBLoader.cpp
	COBLoader.h
	COBScene.h
)
SOURCE_GROUP( COB FILES ${COB_SRCS})

SET(BLENDER_SRCS
	BlenderLoader.cpp
	BlenderLoader.h
	BlenderDNA.cpp
	BlenderDNA.h
	BlenderDNA.inl
	BlenderScene.cpp
	BlenderScene.h
	BlenderSceneGen.h
	BlenderIntermediate.h
	BlenderModifier.h
	BlenderModifier.cpp
	BlenderBMesh.h
	BlenderBMesh.cpp
	BlenderTessellator.h
	BlenderTessellator.cpp
)
SOURCE_GROUP( BLENDER FILES ${BLENDER_SRCS})

SET(IFC_SRCS
	IFCLoader.cpp
	IFCLoader.h
	IFCReaderGen.cpp
	IFCReaderGen.h
	IFCUtil.h
	IFCUtil.cpp
	IFCGeometry.cpp
	IFCMaterial.cpp
	IFCProfile.cpp
	IFCCurve.cpp
	IFCBoolean.cpp
	IFCOpenings.cpp
	STEPFile.h
	STEPFileReader.h
	STEPFileReader.cpp
	STEPFileEncoding.cpp
	STEPFileEncoding.h
)
SOURCE_GROUP( IFC FILES ${IFC_SRCS})

SET( XGL_SRCS
	XGLLoader.cpp
	XGLLoader.h
)
SOURCE_GROUP( XGL FILES ${XGL_SRCS})


SET(FBX_SRCS
	FBXImporter.cpp
	FBXCompileConfig.h
	FBXImporter.h
	FBXParser.cpp
	FBXParser.h
	FBXTokenizer.cpp
	FBXTokenizer.h
	FBXImportSettings.h
	FBXConverter.h
	FBXConverter.cpp
	FBXUtil.h
	FBXUtil.cpp
	FBXDocument.h
	FBXDocument.cpp
	FBXProperties.h
	FBXProperties.cpp
	FBXMeshGeometry.cpp
	FBXMaterial.cpp
	FBXModel.cpp
	FBXAnimation.cpp
	FBXNodeAttribute.cpp
	FBXDeformer.cpp
	FBXBinaryTokenizer.cpp
	FBXDocumentUtil.cpp
)
SOURCE_GROUP( FBX FILES ${FBX_SRCS})


SET( PostProcessing_SRCS
	CalcTangentsProcess.cpp
	CalcTangentsProcess.h
	ComputeUVMappingProcess.cpp
	ComputeUVMappingProcess.h
	ConvertToLHProcess.cpp
	ConvertToLHProcess.h
	FindDegenerates.cpp
	FindDegenerates.h
	FindInstancesProcess.cpp
	FindInstancesProcess.h
	FindInvalidDataProcess.cpp
	FindInvalidDataProcess.h
	FixNormalsStep.cpp
	FixNormalsStep.h
	GenFaceNormalsProcess.cpp
	GenFaceNormalsProcess.h
	GenVertexNormalsProcess.cpp
	GenVertexNormalsProcess.h
	PretransformVertices.cpp
	PretransformVertices.h
	ImproveCacheLocality.cpp
	ImproveCacheLocality.h
	JoinVerticesProcess.cpp
	JoinVerticesProcess.h
	LimitBoneWeightsProcess.cpp
	LimitBoneWeightsProcess.h
	RemoveRedundantMaterials.cpp
	RemoveRedundantMaterials.h
	RemoveVCProcess.cpp
	RemoveVCProcess.h
	SortByPTypeProcess.cpp
	SortByPTypeProcess.h
	SplitLargeMeshes.cpp
	SplitLargeMeshes.h
	TextureTransform.cpp
	TextureTransform.h
	TriangulateProcess.cpp
	TriangulateProcess.h
	ValidateDataStructure.cpp
	ValidateDataStructure.h
	OptimizeGraph.cpp
	OptimizeGraph.h
	OptimizeMeshes.cpp
	OptimizeMeshes.h
	DeboneProcess.cpp
	DeboneProcess.h
	ProcessHelper.h
	ProcessHelper.cpp
	PolyTools.h
	MakeVerboseFormat.cpp
	MakeVerboseFormat.h
)
SOURCE_GROUP( PostProcessing FILES ${PostProcessing_SRCS})

SET( Q3D_SRCS
	Q3DLoader.cpp
	Q3DLoader.h
)
SOURCE_GROUP( Q3D FILES ${Q3D_SRCS})

SET( Q3BSP_SRCS
	Q3BSPFileData.h
	Q3BSPFileParser.h
	Q3BSPFileParser.cpp
	Q3BSPFileImporter.h
	Q3BSPFileImporter.cpp
	Q3BSPZipArchive.h
	Q3BSPZipArchive.cpp
)
SOURCE_GROUP( Q3BSP FILES ${Q3BSP_SRCS})

SET( Raw_SRCS
	RawLoader.cpp
	RawLoader.h
)
SOURCE_GROUP( Raw FILES ${Raw_SRCS})

SET( SMD_SRCS
	SMDLoader.cpp
	SMDLoader.h
)
SOURCE_GROUP( SMD FILES ${SMD_SRCS})

SET( STL_SRCS
	STLLoader.cpp
	STLLoader.h
	STLExporter.h
	STLExporter.cpp
)
SOURCE_GROUP( STL FILES ${STL_SRCS})

SET( Terragen_SRCS
	TerragenLoader.cpp
	TerragenLoader.h
)
SOURCE_GROUP( Terragen FILES ${Terragen_SRCS})

SET( Unreal_SRCS
	UnrealLoader.cpp
	UnrealLoader.h
)
SOURCE_GROUP( Unreal FILES ${Unreal_SRCS})

SET( XFile_SRCS
	XFileHelper.h
	XFileImporter.cpp
	XFileImporter.h
	XFileParser.cpp
	XFileParser.h
)
SOURCE_GROUP( XFile FILES ${XFile_SRCS})

SET( Exporter_SRCS
	Exporter.cpp
	AssimpCExport.cpp
	BlobIOSystem.h
)
SOURCE_GROUP( Exporter FILES ${Exporter_SRCS})

SET( Extra_SRCS
	MD4FileData.h
)
SOURCE_GROUP( Extra FILES ${Extra_SRCS})

SET( IrrXML_SRCS
	irrXMLWrapper.h
	../contrib/irrXML/CXMLReaderImpl.h
	../contrib/irrXML/heapsort.h
	../contrib/irrXML/irrArray.h
	../contrib/irrXML/irrString.h
	../contrib/irrXML/irrTypes.h
	../contrib/irrXML/irrXML.cpp
	../contrib/irrXML/irrXML.h
)
SOURCE_GROUP( IrrXML FILES ${IrrXML_SRCS})

SET( ConvertUTF_SRCS
	../contrib/ConvertUTF/ConvertUTF.h
	../contrib/ConvertUTF/ConvertUTF.c
)
SOURCE_GROUP( ConvertUTF FILES ${ConvertUTF_SRCS})

SET( Clipper_SRCS 
	../contrib/clipper/clipper.hpp
	../contrib/clipper/clipper.cpp
)
SOURCE_GROUP( Clipper FILES ${Clipper_SRCS})


SET( Poly2Tri_SRCS 
	../contrib/poly2tri/poly2tri/common/shapes.cc
	../contrib/poly2tri/poly2tri/common/shapes.h
	../contrib/poly2tri/poly2tri/common/utils.h
	../contrib/poly2tri/poly2tri/sweep/advancing_front.h
	../contrib/poly2tri/poly2tri/sweep/advancing_front.cc
	../contrib/poly2tri/poly2tri/sweep/cdt.cc
	../contrib/poly2tri/poly2tri/sweep/cdt.h
	../contrib/poly2tri/poly2tri/sweep/sweep.cc
	../contrib/poly2tri/poly2tri/sweep/sweep.h
	../contrib/poly2tri/poly2tri/sweep/sweep_context.cc
	../contrib/poly2tri/poly2tri/sweep/sweep_context.h
)
SOURCE_GROUP( Poly2Tri FILES ${Poly2Tri_SRCS})

SET( unzip_SRCS
	../contrib/unzip/crypt.h
	../contrib/unzip/ioapi.c
	../contrib/unzip/ioapi.h
	../contrib/unzip/unzip.c
	../contrib/unzip/unzip.h
)
SOURCE_GROUP( unzip FILES ${unzip_SRCS})


# VC2010 fixes
if(MSVC10)
	OPTION( VC10_STDINT_FIX "Fix for VC10 Compiler regarding pstdint.h redefinition errors" OFF )
	if( VC10_STDINT_FIX )
		ADD_DEFINITIONS( -D_STDINT )
	endif( VC10_STDINT_FIX )
endif(MSVC10)

ADD_DEFINITIONS( -DASSIMP_BUILD_DLL_EXPORT )

if ( MSVC )
	ADD_DEFINITIONS( -D_SCL_SECURE_NO_WARNINGS )
	ADD_DEFINITIONS( -D_CRT_SECURE_NO_WARNINGS )
endif ( MSVC )

if (UNZIP_FOUND)
	SET (unzip_compile_SRCS "")
else (UNZIP_FOUND)

=== debian/changelog ===
qt3d-opensource-src (5.5.1-4ubuntu3) xenial; urgency=medium

  * Remove libqt5xcbqpa5 dependency, it was merged back to libqt5gui5.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 14 Mar 2016 13:15:13 +0000

qt3d-opensource-src (5.5.1-4ubuntu2) xenial; urgency=medium

  * libqt53dquick5: conflict+replace libqt53d5 which provided identically 
    named library.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 07 Dec 2015 16:52:54 +0000

qt3d-opensource-src (5.5.1-4ubuntu1) xenial; urgency=medium

  * New upstream release of the rewritten Qt 3D 2.0.
  * Update symbols.
  * Merge with Debian's initial release, remaining changes:
    - A transitional package for Ubuntu 14.04 LTS -> 16.04 LTS.
    - Allow building the optional gles variant.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 12:39:55 +0000

qt3d-opensource-src (5.5.1-4) unstable; urgency=medium

  * Add pkgconf as a build dependency. It is required to detect assimp files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 03 Nov 2015 12:24:38 -0300

qt3d-opensource-src (5.5.1-3) unstable; urgency=medium

  * Add libassimp-dev as a build dependency in order to enable assimp support
    (Closes: #803748). Thanks Александр Волков for the bug report.
    - Create the new package qt3d-assimpsceneparser-plugin for it.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 02 Nov 2015 15:06:38 -0300

qt3d-opensource-src (5.5.1-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Make sure to remove private headers from all the libraries: extend the
    rm pattern using globs.
  * Remove cmake config files of plugins (like done in other qt5 modules).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 26 Oct 2015 10:13:52 -0300

qt3d-opensource-src (5.5.1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt dependencies.
  * Update symbols files with buildds' and current logs.
  * New components: q3dlogic and q3dcollision.
    - Install documentation.
    - Install libraries.
  * Create qt3d-gltfsceneparser-plugin for the GL Transmission Format
    scene parser plugin.

  [ Dmitry Shachnev ]
  * Add symbols files for the new library packages.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 14:10:29 -0300

qt3d-opensource-src (5.5.0-1) experimental; urgency=medium

  [ Timo Jyrinki ]
  * Initial release. (Closes: #697509)

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 04 Sep 2015 13:32:31 +0300

qt3d-opensource-src (5.0~git20130731-0ubuntu12) wily; urgency=medium

  * Rebuild for GCC5 transition.
  * Update symbols.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 14 Jul 2015 13:32:57 +0300

qt3d-opensource-src (5.0~git20130731-0ubuntu11) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 13:54:22 +0000

qt3d-opensource-src (5.0~git20130731-0ubuntu10) vivid; urgency=medium

  * Build against Qt 5.4.1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 06:12:57 +0000

qt3d-opensource-src (5.0~git20130731-0ubuntu9) vivid; urgency=medium

  * Build against Qt 5.4.0
  * debian/patches/noprecompile.patch (LP: #1395657)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:45:53 +0000

qt3d-opensource-src (5.0~git20130731-0ubuntu8) vivid; urgency=medium

  * Switch to qml-module-* naming (LP: #1342031)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Dec 2014 12:37:32 +0000

qt3d-opensource-src (5.0~git20130731-0ubuntu7) vivid; urgency=medium

  * Rebuild against Qt 5.3.2
  * Update symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Oct 2014 07:07:38 +0000

qt3d-opensource-src (5.0~git20130731-0ubuntu6) utopic; urgency=medium

  * Rebuild against 5.3
  * Move include files
  * Add a patch to fix compilation
  * Disable a few qvectorarray tests for now that started failing

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 09 May 2014 08:04:40 +0000

=== debian/control ===
Source: qt3d-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Timo Jyrinki <timo@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>
Build-Depends: debhelper (>= 9),
               libassimp-dev,
               libqt5opengl5-dev (>= 5.5.1+dfsg~),
               pkg-kde-tools,
               pkgconf,
               qtbase5-private-dev (>= 5.5.1+dfsg~),
               qtdeclarative5-private-dev (>= 5.5.1~),
               xauth,
               xvfb,
               zlib1g-dev
Build-Depends-Indep: libqt5sql5-sqlite (>= 5.5.1+dfsg~),
                     qtbase5-doc-html (>= 5.5.1+dfsg~),
                     qtdeclarative5-doc-html (>= 5.5.1~),
                     qttools5-dev-tools (>= 5.5.1~)
Standards-Version: 3.9.6
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qt3d.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qt3d.git

Package: libqt53dcore5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 3D module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Core module.

Package: libqt53dquick5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt53d5
Conflicts: libqt53d5
Description: Qt 3D Quick module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick module.

Package: libqt53dquickrenderer5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Quick Renderer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Quick Renderer module.

Package: libqt53dinput5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Input module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Input module.

Package: libqt53drenderer5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D Renderer module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Renderer module.

Package: libqt53dlogic5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D logic module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D Logic module.

Package: libqt53dcollision5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D collision module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D collision module.

Package: qt3d-gltfsceneparser-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D GL Transmission Format scene parser plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's GLTF scene parser plugin.

Package: qt3d-assimpsceneparser-plugin
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 3D GL Transmission Format scene parser plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 3D's Assimp scene parser plugin.

Package: qtdeclarative5-qt3d-plugin
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends: qml-module-qt3d, ${misc:Depends}
Description: transitional dummy package for Qt 5 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a transitional dummy package for qml-module-qt3d
 which can be safely removed.

Package: qml-module-qt3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 3D QML module.

Package: qml-module-qtquick-scene3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Scene 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Scene 3D QML module.

Package: qt3d5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt53dcore5 (= ${binary:Version}),
         libqt53dinput5 (= ${binary:Version}),
         libqt53dquick5 (= ${binary:Version}),
         libqt53dquickrenderer5 (= ${binary:Version}),
         libqt53drenderer5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 3D development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt 3D library.

Package: qt3d5-examples
Architecture: any
Multi-Arch: same
Section: x11
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 3d examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 3D examples.

Package: qt3d5-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: libqt53dcore5 (= ${binary:Version}), ${misc:Depends}
Suggests: qt3d5-examples (= ${binary:Version})
Description: Qt 3D library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 3D
 libraries.

Package: qt3d5-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 3D documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 3D libraries.

Package: qt3d5-doc-html
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 3D HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 3D libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# Run tests only on archs known to pass in the past
testrun_architectures := amd64 arm64 armhf i386 ppc64el

%:
	dh $@ --fail-missing --parallel --with pkgkde_symbolshelper --dbg-package=qt3d5-dbg

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=tests

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-arch:
	dh_auto_install
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	
	# Remove private stuff
	rm -rfv $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/Qt3D*/5.*/Qt3D*/private
	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
	
	# Remove cmake config files of plugins
	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/cmake/Qt53DRenderer/Qt53DRenderer_*.cmake

	# Remove empty directories
	find $(CURDIR)/debian/tmp -type d -empty -delete

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;

override_dh_auto_install-indep:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_auto_test-arch:
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),$(testrun_architectures)))
	xvfb-run -a -s "-screen 0 640x480x24" dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
else
	-xvfb-run -a -s "-screen 0 640x480x24" dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins QML2_IMPORT_PATH=$(CURDIR)/qml
endif

override_dh_auto_test-indep:

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qt3d-opensource-src-([^-]*)\.tar.xz
